snd_seq_event_t Struct Reference
MIDI Sequencer » Sequencer Event Definitions
Collaboration diagram for snd_seq_event_t:
[legend]

## Data Fields

snd_seq_event_type_t | type
unsigned char | flags
unsigned char | tag
unsigned char | queue
snd_seq_timestamp_t | time
snd_seq_addr_t | source
snd_seq_addr_t | dest
union {
snd_seq_ev_note_t note
snd_seq_ev_ctrl_t control
snd_seq_ev_raw8_t raw8
snd_seq_ev_raw32_t raw32
snd_seq_ev_ext_t ext
snd_seq_ev_queue_control_t queue
snd_seq_timestamp_t time
snd_seq_addr_t addr
snd_seq_connect_t connect
snd_seq_result_t result
} | data

## Detailed Description

Sequencer event

## Field Documentation

## addr

snd_seq_addr_t snd_seq_event_t::addr

address

## connect

snd_seq_connect_t snd_seq_event_t::connect

connect information

## control

snd_seq_ev_ctrl_t snd_seq_event_t::control

MIDI control information

##

union { ... } snd_seq_event_t::data

event data...

## dest

snd_seq_addr_t snd_seq_event_t::dest

destination address

## ext

snd_seq_ev_ext_t snd_seq_event_t::ext

external data

## flags

unsigned char snd_seq_event_t::flags

event flags

## note

snd_seq_ev_note_t snd_seq_event_t::note

note information

## queue [1/2]

unsigned char snd_seq_event_t::queue

schedule queue

## queue [2/2]

snd_seq_ev_queue_control_t snd_seq_event_t::queue

queue control

## raw32

snd_seq_ev_raw32_t snd_seq_event_t::raw32

raw32 data

## raw8

snd_seq_ev_raw8_t snd_seq_event_t::raw8

raw8 data

## result

snd_seq_result_t snd_seq_event_t::result

operation result code

## source

snd_seq_addr_t snd_seq_event_t::source

source address

## tag

unsigned char snd_seq_event_t::tag

tag

## time

snd_seq_timestamp_t snd_seq_event_t::time

schedule time

timestamp

## type

snd_seq_event_type_t snd_seq_event_t::type

event type

The documentation for this struct was generated from the following file:

- /build/alsa-lib-X1Eq5S/alsa-lib-1.2.6.1/include/seq_event.h